Skip to main content
POST
/
auth
/
connections
/
{id}
/
submit
JavaScript
import Kernel from '@onkernel/sdk';

const client = new Kernel({
  apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});

const submitFieldsResponse = await client.auth.connections.submit('id');

console.log(submitFieldsResponse.accepted);
import os
from kernel import Kernel

client = Kernel(
    api_key=os.environ.get("KERNEL_API_KEY"),  # This is the default and can be omitted
)
submit_fields_response = client.auth.connections.submit(
    id="id",
)
print(submit_fields_response.accepted)
package main

import (
	"context"
	"fmt"

	"github.com/kernel/kernel-go-sdk"
	"github.com/kernel/kernel-go-sdk/option"
)

func main() {
	client := kernel.NewClient(
		option.WithAPIKey("My API Key"),
	)
	submitFieldsResponse, err := client.Auth.Connections.Submit(
		context.TODO(),
		"id",
		kernel.AuthConnectionSubmitParams{
			SubmitFieldsRequest: kernel.SubmitFieldsRequestParam{},
		},
	)
	if err != nil {
		panic(err.Error())
	}
	fmt.Printf("%+v\n", submitFieldsResponse.Accepted)
}
curl --request POST \
  --url https://api.onkernel.com/auth/connections/{id}/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "fields": {
    "email": "user@example.com",
    "password": "secret"
  },
  "sso_button_selector": "xpath=//button[contains(text(), 'Continue with Google')]",
  "sso_provider": "google",
  "mfa_option_id": "sms",
  "sign_in_option_id": "work-account"
}
EOF


{
  "accepted": true
}
{
  "code": "bad_request",
  "message": "Missing required field: app_name",
  "details": [
    {
      "code": "invalid_input",
      "message": "Provided version string is not semver compliant"
    }
  ],
  "inner_error": {
    "code": "invalid_input",
    "message": "Provided version string is not semver compliant"
  }
}
{
  "code": "bad_request",
  "message": "Missing required field: app_name",
  "details": [
    {
      "code": "invalid_input",
      "message": "Provided version string is not semver compliant"
    }
  ],
  "inner_error": {
    "code": "invalid_input",
    "message": "Provided version string is not semver compliant"
  }
}
{
  "code": "bad_request",
  "message": "Missing required field: app_name",
  "details": [
    {
      "code": "invalid_input",
      "message": "Provided version string is not semver compliant"
    }
  ],
  "inner_error": {
    "code": "invalid_input",
    "message": "Provided version string is not semver compliant"
  }
}
{
  "code": "bad_request",
  "message": "Missing required field: app_name",
  "details": [
    {
      "code": "invalid_input",
      "message": "Provided version string is not semver compliant"
    }
  ],
  "inner_error": {
    "code": "invalid_input",
    "message": "Provided version string is not semver compliant"
  }
}
{
  "code": "bad_request",
  "message": "Missing required field: app_name",
  "details": [
    {
      "code": "invalid_input",
      "message": "Provided version string is not semver compliant"
    }
  ],
  "inner_error": {
    "code": "invalid_input",
    "message": "Provided version string is not semver compliant"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Auth connection ID

Body

application/json

Request to submit field values, click an SSO button, select an MFA method, or select a sign-in option. Provide exactly one of fields, sso_button_selector, sso_provider, mfa_option_id, or sign_in_option_id.

fields
object

Map of field name to value

Example:
{
  "email": "user@example.com",
  "password": "secret"
}
sso_button_selector
string

XPath selector for the SSO button to click (ODA). Use sso_provider instead for CUA.

Example:

"xpath=//button[contains(text(), 'Continue with Google')]"

sso_provider
string

SSO provider to click, matching the provider field from pending_sso_buttons (e.g., "google", "github"). Cannot be used with sso_button_selector.

Example:

"google"

mfa_option_id
string

The MFA method type to select (when mfa_options were returned)

Example:

"sms"

sign_in_option_id
string

The sign-in option ID to select (when sign_in_options were returned)

Example:

"work-account"

Response

Submission accepted for processing

Response from submitting field values

accepted
boolean
required

Whether the submission was accepted for processing